MySQL Forums
Forum List  »  NDB clusters

Use only TLSv1.2
Posted by: Brian Paquin
Date: February 13, 2018 11:03AM

Running RHEL 7.4 and MySQL Cluster 7.6.4 (5.7.20) installed via yum.
I can connect over SSL, but I get TLSv1.1.
I would prefer TLSv1.2.
Adding tls_version=TLSv1.2 to /etc/my.cnf causes an error:

Failed to set up SSL because of the following SSL library error: TLS version is invalid

I believe I am using OpenSSL (not yaSSL).
show variables like '%ssl%' returns:
have_openssl YES
have_ssl YES

Using GlobalSign certificate.
ssl_ca = Globalsign root certificate (without the intermediate)
ssl_cert = the cert they gave me
ssl_key = key openssl created (then converted to RSA)
All owned by the mysql user...

Brian

Options: ReplyQuote


Subject
Views
Written By
Posted
Use only TLSv1.2
226
February 13, 2018 11:03AM
79
February 14, 2018 02:27AM
85
February 14, 2018 08:51AM


Sorry, you can't reply to this topic. It has been closed.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.